%define module structlog

Name:           python-%{module}
Version:        25.1.0
Release:        %mkrel 2
Summary:        Painless structural logging
Group:          Development/Python
License:        ASL 2.0 and MIT
URL:            https://www.structlog.org/en/stable/
Source0:        https://files.pythonhosted.org/packages/source/s/%{module}/%{module}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
Structlog makes structured logging in Python easy by augmenting your existing
logger. It allows you to split your log entries up into key/value pairs and
build them incrementally without annoying boilerplate code.

%package -n python3-%{module}
Summary:        Painless structural logging
Group:          Development/Python
License:        ASL 2.0 and MIT
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Structlog makes structured logging in Python easy by augmenting your existing
logger. It allows you to split your log entries up into key/value pairs and
build them incrementally without annoying boilerplate code.

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files structlog

#tests disabled because they fail with fixture '<*>' not found. https://github.com/hynek/structlog/issues/433

%files -n python3-%{module} -f %{pyproject_files}
%doc CHANGELOG.md README.md PKG-INFO docs/*.md
%license LICENSE-MIT LICENSE-APACHE


%changelog
* Sat Mar 01 2025 wally <wally> 25.1.0-2.mga10
+ Revision: 2155946
- rebuild for python3.13

* Sun Feb 16 2025 daviddavid <daviddavid> 25.1.0-1.mga10
+ Revision: 2149097
- new version: 25.1.0

* Tue Aug 06 2024 daviddavid <daviddavid> 24.4.0-1.mga10
+ Revision: 2083742
- new version: 24.4.0

* Fri May 31 2024 daviddavid <daviddavid> 24.2.0-1.mga10
+ Revision: 2068950
- new version: 24.2.0

* Sat Jan 20 2024 daviddavid <daviddavid> 24.1.0-1.mga10
+ Revision: 2032435
- new version: 24.1.0

* Thu Dec 28 2023 daviddavid <daviddavid> 23.2.0-2.mga10
+ Revision: 2023258
- rebuild for py3.12

* Mon Oct 30 2023 daviddavid <daviddavid> 23.2.0-1.mga10
+ Revision: 2002848
- new version: 23.2.0

* Wed Aug 30 2023 daviddavid <daviddavid> 23.1.0-1.mga10
+ Revision: 1981892
- new version: 23.1.0
- new version: 22.3.0

* Sun Sep 11 2022 papoteur <papoteur> 22.1.0-1.mga9
+ Revision: 1887177
- new 22.1.0

* Thu Mar 31 2022 umeabot <umeabot> 21.1.0-3.mga9
+ Revision: 1836419
- Mageia 9 Mass Rebuild

* Mon Feb 21 2022 mrambo3501 <mrambo3501> 21.1.0-2.mga9
+ Revision: 1782296
- rebuild for python-3.10

* Wed Apr 21 2021 daviddavid <daviddavid> 21.1.0-1.mga9
+ Revision: 1717798
- new version: 21.1.0

* Wed Apr 21 2021 daviddavid <daviddavid> 19.2.0-1.mga9
+ Revision: 1717779
- initial package python-structlog (needed for openconnect-sso)

